Package ru.bgcrm.plugin.document.model

# Class Pattern

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
ru.bgcrm.plugin.document.model.Pattern

All Implemented Interfaces:
  `Serializable`, `GetJsp`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

public class Pattern extends IdTitle implements GetJsp

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `TYPE_DOCX_FORM`
  `static final int`
  `TYPE_JSP_HTML`
  `static final int`
  `TYPE_ODT_FORM`
  `static final int`
  `TYPE_PDF_FORM`
  `static final int`
  `TYPE_XSLT_HTML`
  `static final int`
  `TYPE_XSLT_PDF`
  Deprecated.
  `static final int`
  `TYPE_XSLX`

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Pattern(int id, ConfigMap params)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkTitle(String objectTitle)`
  `boolean`
  `checkType(String objectType)`
  `String`
  `getDocumentTitle()`
  `String`
  `getFile()`
  `String`
  `getJsp()`
  `ConfigMap`
  `getParams()`
  `String`
  `getPositionMacros(String positionName)`
  Deprecated.
  `String`
  `getScope()`
  `String`
  `getScript()`
  `int`
  `getType()`
  `String`
  `getXslt()`
  `boolean`
  `isResultSave()`
  `boolean`
  `isResultStream()`
  `void`
  `setDocumentTitle(String documentTitle)`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Field Details

  - ### TYPE_PDF_FORM

    public static final int TYPE_PDF_FORM
    See Also:
      - Constant Field Values

  - ### TYPE_DOCX_FORM

    public static final int TYPE_DOCX_FORM
    See Also:
      - Constant Field Values

  - ### TYPE_ODT_FORM

    public static final int TYPE_ODT_FORM
    See Also:
      - Constant Field Values

  - ### TYPE_XSLT_HTML

    public static final int TYPE_XSLT_HTML
    See Also:
      - Constant Field Values

  - ### TYPE_XSLT_PDF

    @Deprecated public static final int TYPE_XSLT_PDF
    Deprecated.
    Задумывалось для FOP генерации, но неизвестно, будет ли реализовано.
    See Also:
      - Constant Field Values

  - ### TYPE_XSLX

    public static final int TYPE_XSLX
    See Also:
      - Constant Field Values

  - ### TYPE_JSP_HTML

    public static final int TYPE_JSP_HTML
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Pattern

    public Pattern(int id, ConfigMap params)

- ## Method Details

  - ### getParams

    public ConfigMap getParams()

  - ### getScript

    public String getScript()

  - ### getScope

    public String getScope()

  - ### getType

    public int getType()

  - ### getFile

    public String getFile()

  - ### setDocumentTitle

    public void setDocumentTitle(String documentTitle)

  - ### getDocumentTitle

    public String getDocumentTitle()

  - ### getXslt

    public String getXslt()

  - ### getJsp

    public String getJsp()
    Specified by:
      `getJsp` in interface `GetJsp`

  - ### isResultSave

    public boolean isResultSave()

  - ### isResultStream

    public boolean isResultStream()

  - ### getPositionMacros

    @Deprecated public String getPositionMacros(String positionName)
    Deprecated.
    Запрос макроса позиции - устаревший метод.

  - ### checkTitle

    public boolean checkTitle(String objectTitle)

  - ### checkType

    public boolean checkType(String objectType)